com.r3corda.core.contracts.clauses / AnyComposition

# AnyComposition

`class AnyComposition<in S : ContractState, C : CommandData, in K : Any> : CompositeClause<S, C, K>`

Compose a number of clauses, such that any number of the clauses can run.

### Constructors

<init> | `AnyComposition(vararg rawClauses: Clause<S, C, K>)` Compose a number of clauses, such that any number of the clauses can run.

### Properties

clauses | `val clauses: List<Clause<S, C, K>>` List of clauses under this composite clause

### Functions

matchedClauses | `fun matchedClauses(commands: List<AuthenticatedObject<C>>): List<Clause<S, C, K>>` Determine which clauses are matched by the supplied commands
toString | `fun toString(): String`
verify | `fun verify(tx: TransactionForContract, inputs: List<S>, outputs: List<S>, commands: List<AuthenticatedObject<C>>, groupingKey: K?): Set<C>` Verify the transaction matches the conditions from this clause. For example, a "no zero amount output" clause would check each of the output states that it applies to, looking for a zero amount, and throw IllegalStateException if any matched.

### Extension Functions

matches | `fun <C : CommandData> Clause<*, C, *>.matches(commands: List<AuthenticatedObject<C>>): Boolean` Determine if the given list of commands matches the required commands for a clause to trigger.